<?
	/** Wyświetlanie przedmiotu, informacji o nim i udostępnionych w nim zadaniach.
	 * @author Michał Malinowski
	 * @package XPStudent
	 */

	 /** Potrzebna jest funkcja zczytujące informacje o zadaniach.
	  */
	 include './functions/Sdb.fun.php';

	 /** Funkcja wypisująca informacje z określonego przedmiotu dla studenta.
	  *
		* Do informacji należą: nr grupy, prowadzący, zadania w tym przedmiocie (nr, nazwa, termin, link, autor).
		* @param string $zaj_cyk identyfikator przedmiotu.
	  */
	function showLaboratory($zaj_cyk) {
		global $sess;
		$now = time();

		if (!isset($_SESSION[$sess->name('Sgroups')][$zaj_cyk]))
			return;
		$sess->set('Szaj_cyk', $zaj_cyk);
		$lecData = &$_SESSION[$sess->name('Sgroups')][$zaj_cyk];

		printf('<h1>%s</h1>', $lecData['przedmiot']);
		$tab = new CTable(2, '', 'cellspacing="0" cellpadding="4"');
		$tab->addField('Numer Twojej grupy: ');
		$tab->addField('<b>' . $lecData['gr_nr'] . '</b>');
		$tab->addField('Prowadzący grupę: ');
		$tab->addField($lecData['pimie'] . ' ' . $lecData['pnazwisko'] . ' (<a href="mailto:' . $lecData['pemail'] . '">' . $lecData['pemail'] . '</a>)');
		$tab->close();
		printf('<br><br>');

		if (!$lecData['tasks'])
			readTasks($lecData, $zaj_cyk, $lecData['gr_nr']);
		$tab = new CTable(5, '', 'cellspacing="0" cellpadding="8"');
		$tab->addField('Nr:');
		$tab->addField('Nazwa zadania:');
		$tab->addField('Termin:');
		$tab->addField('Link:');
		$tab->addField('Autor:');
		$tab->setLight();
		$taskLink = new CLink('Stask');
		foreach($lecData['tasks'] as $id_zad => $zadData) {
			$tab->addField($zadData['numer_zad'], '', 'align="center"');
			$taskLink->addFirstParam('Szaj_cyk', $zaj_cyk);
			$taskLink->addParam('Stask', $id_zad);
			$tab->addField($taskLink->get($zadData['nazwa']));
			if ($zadData['termin1'] < $now && $zadData['termin2'])
				$terminStr = '<font class="red">' . date('d-m-y H:i ', $zadData['termin2']) . '(drugi!)</font>';
			else
				$terminStr = date('d-m-y H:i ', $zadData['termin1']);
			$tab->addField($terminStr);
			$tab->addField('<a href="http://' . $zadData['link_url'] . '">' . $zadData['link_url'] . '</a>');
			$tab->addField($zadData['aimie'] . ' ' . $zadData['anazwisko'] . ' (<a href="mailto:' .$zadData['aemail'] . '">'. $zadData['aemail'] . '</a>)');
		}
		$tab->close();
	}

	if (!isset($_GET['Szaj_cyk']))
		showLaboratory($sess->get('Szaj_cyk'));
	else
		showLaboratory($_GET['Szaj_cyk']);
?>
